node ('maven'){

  stage('Checkout App Code'){
    git url:'https://gitlab.com/openshift-samples/arquillian/football-members.git', branch:'master'
  }

  stage('Build Image'){
    dir("${WORKSPACE}"){
      sh "mvn package fabric8:build"
    }
  }

  stage('Clean Workspace'){
    dir("${WORKSPACE}"){
      sh "rm -rf *"
    }
  }

  stage('Checkout Integration Test Code'){
    git url:'https://gitlab.com/openshift-samples/arquillian/it-football-members.git', branch:'master'
  }

  stage('Running Integration Test'){
    dir("${WORKSPACE}"){
      sh "mvn clean verify"
    }
  }
  
   stage('Approval'){
      timeout(time:3, unit:'HOURS') {
          input message:'Approve deployment?'
      }
    }

    stage('Promote to PROD') {
      openshift.withCluster() {
        openshift.tag("football-members:1.0.0", "it-prod/football-members:prd")
      }
    }


}
